<?php
if (isset($_SESSION['usuario'])){
$user=$_SESSION['usuario'];
}
else{
?>
<script>
location.href="index.php?errorusuario=3";
</script>
<?php }
date_default_timezone_set("America/Mexico_City");
?>


<body>
  <table width="950" border="0" align="center">
    <tr>
      <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td><span class="style10">N&Uacute;MERO DE TRATAMIENTOS VENDIDOS</span></td>
          <td><div align="right"><a href="javascript:print()"><img src="img/icon_print.jpg" alt="Imprimir" width="22" height="22" border="0" /></a></div></td>
        </tr>
      </table>      </td>
    </tr>
    <tr>
      <td><table width="100%" height="0" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td align="center" valign="top"><hr width="100%" size="1" noshade="noshade" color="#0D3356"></td>
          </tr>
          <tr>
            <td>
            	<?php
				include ("conexion.php");
					if (isset($_GET['b']))
					{
						//OBTENGO LA VARIABLE B
						$b=$_GET['b'];

						if ($b==1)
						{
							$hoy=date("Y-m-d");
							
							$fecha=explode("-",$hoy);
							
							if ($fecha[1] == 01)
								{$mes="Enero";}
							if ($fecha[1] == 02)
								{$mes="Febrero";}
							if ($fecha[1] == 03)
								{$mes="Marzo";}
							if ($fecha[1] == 04)
								{$mes="Abril";}
							if ($fecha[1] == 05)
								{$mes="Mayo";}
							if ($fecha[1] == 06)
								{$mes="Junio";}
							if ($fecha[1] == 07)
								{$mes="Julio";}
							if ($fecha[1] == '08')
								{$mes="Agosto";}
							if ($fecha[1] == '09')
								{$mes="Septiembre";}
							if ($fecha[1] == 10)
								{$mes="Octubre";}
							if ($fecha[1] == 11)
								{$mes="Noviembre";}
							if ($fecha[1] == 12)
								{$mes="Diciembre";}
							
							$fechafinal= $fecha[2]."-".$mes."-".$fecha[0];

							echo "<center><span class='style78'>".$fechafinal."</span></center>";
							
							echo "<table align='center' cellpadding='4' class='tablaBordes'>";
echo "<tr class='tablaCabecera' align='center'>";
							
							echo "<td>";
							echo " ID ";
							echo "</td>";
							
							echo "<td>";
							echo "Tratamiento";
							echo "</td>";

							echo "<td>";
							echo "Cantidad";
							echo "</td>";

							echo "</tr>";

							$total=0;
							$conteo=0;
							$cons1="SELECT idTratamiento FROM tratamientocompleto ORDER BY tratamientoCompleto ASC";
							$res1=mysql_query($cons1,$conex) or die ("No se realizo cons1");
							while ($filax=mysql_fetch_row($res1))
							{
							
								
								$query="SELECT count(idTratamiento) as total FROM salida WHERE fechaSalida='$hoy' and estado='Finalizada' and idTratamiento='$filax[0]'";
								$result=mysql_query($query,$conex) or die ("No se realizó query");
								$total=mysql_result($result,0,'total');
								
									if ($conteo==0)
									{
									echo "<tr>";
									}
									else
									{
									echo "<tr bgcolor='#F0F0F0'>";
									}
									
									//id
									echo "<td class='style1' align='center'>";
									echo $filax[0];
									echo "</td>";
									
									//Tratamiento
									$cons2="SELECT tratamientoCompleto FROM tratamientocompleto WHERE idTratamiento='$filax[0]'";
									$res2=mysql_query($cons2,$conex) or die ("No se realizo cons1");
									$tratamiento=mysql_result($res2,0,'tratamientoCompleto');
	
									echo "<td class='style1'>";
									//echo utf8_encode($tratamiento);
									echo $tratamiento;
									echo "</td>";
									
									//cantidad												
									echo "<td class='style1' align='center'>";
									echo $total;
									echo "</td>";
									
									$conteo=$conteo + 1;
									if ($conteo==2)
									{$conteo=0;}
							
									echo "</tr>";
							}
							echo "</table>";

						}//END IF B=1

						

						if ($b==2)
						{
							$fecha1=$_POST['fecha'];
							$fecha2=$_POST['fecha2'];
							
							//CALCULO DE FECHAS EN LETRAS
							$fe1=explode("-",$fecha1);
							
							if ($fe1[1] == 01)
								{$mes="Enero";}
							if ($fe1[1] == 02)
								{$mes="Febrero";}
							if ($fe1[1] == 03)
								{$mes="Marzo";}
							if ($fe1[1] == 04)
								{$mes="Abril";}
							if ($fe1[1] == 05)
								{$mes="Mayo";}
							if ($fe1[1] == 06)
								{$mes="Junio";}
							if ($fe1[1] == 07)
								{$mes="Julio";}
							if ($fe1[1] == '08')
								{$mes="Agosto";}
							if ($fe1[1] == '09')
								{$mes="Septiembre";}
							if ($fe1[1] == 10)
								{$mes="Octubre";}
							if ($fe1[1] == 11)
								{$mes="Noviembre";}
							if ($fe1[1] == 12)
								{$mes="Diciembre";}
							
							$fechafinal1= $fe1[2]."-".$mes."-".$fe1[0];


							$fe2=explode("-",$fecha2);
							
							if ($fe2[1] == 01)
								{$mes="Enero";}
							if ($fe2[1] == 02)
								{$mes="Febrero";}
							if ($fe2[1] == 03)
								{$mes="Marzo";}
							if ($fe2[1] == 04)
								{$mes="Abril";}
							if ($fe2[1] == 05)
								{$mes="Mayo";}
							if ($fe2[1] == 06)
								{$mes="Junio";}
							if ($fe2[1] == 07)
								{$mes="Julio";}
							if ($fe2[1] == '08')
								{$mes="Agosto";}
							if ($fe2[1] == '09')
								{$mes="Septiembre";}
							if ($fe2[1] == 10)
								{$mes="Octubre";}
							if ($fe2[1] == 11)
								{$mes="Noviembre";}
							if ($fe2[1] == 12)
								{$mes="Diciembre";}
							
							$fechafinal2= $fe2[2]."-".$mes."-".$fe2[0];


							echo "<center><span class='style78'>Del ".$fechafinal1." al ".$fechafinal2."</span></center>";

							echo "<table align='center' cellpadding='4' class='tablaBordes tabla1'>";
							echo "<tr class='tablaCabecera' align='center'>";
							
							echo "<td width='80'> ID </td>";
							
							echo "<td>Tratamiento</td>";

							echo "<td>Cantidad</td>";

							echo "</tr>";

							$total=0;
							$conteo=0;
							$cons1="SELECT idTratamiento FROM tratamientocompleto ORDER BY tratamientoCompleto ASC";
							$res1=mysql_query($cons1,$conex) or die ("No se realizo cons1");
							while ($filax=mysql_fetch_row($res1))
							{
							
								
								$query="SELECT count(idTratamiento) as total FROM salida WHERE fechaSalida between '$fecha1' and '$fecha2' and estado='Finalizada' and idTratamiento='$filax[0]'";
								$result=mysql_query($query,$conex) or die ("No se realizó query");
								$total=mysql_result($result,0,'total');
								
									if ($conteo==0)
									{
									echo "<tr>";
									}
									else
									{
									echo "<tr bgcolor='#F0F0F0'>";
									}
									
									//id
									echo "<td class='style1' align='center'>";
									echo $filax[0];
									echo "</td>";
									
									//Tratamiento
									$cons2="SELECT tratamientoCompleto FROM tratamientocompleto WHERE idTratamiento='$filax[0]'";
									$res2=mysql_query($cons2,$conex) or die ("No se realizo cons1");
									$tratamiento=mysql_result($res2,0,'tratamientoCompleto');
	
									echo "<td class='style1'>";
									//echo utf8_encode($tratamiento);
									echo $tratamiento;
									echo "</td>";
									
									//cantidad												
									echo "<td class='style1' align='center'>";
									echo $total;
									echo "</td>";
									
									$conteo=$conteo + 1;
									if ($conteo==2)
									{$conteo=0;}
									
									echo "</tr>";
							}
							echo "</table>";
							

						}//END IF B=2

					}// END ISSET

				?>            </td>
          </tr>
      </table></td>
    </tr>
  </table>


